Package org.apache.sling.testing.mock.osgi.config.annotations

# Annotation Type AutoConfig

@Retention(RUNTIME) public @interface AutoConfig
Declares a component configuration pid for which all non-configured component property type annotations in scope are converted to maps and merged to ConfigurationAdmin just prior to test execution. This annotation may only be specified once on any given `AnnotatedElement`, and an instance of this annotation on a test method will override an instance of this annotation on the parent class.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Class<?>`
`value`
The component class to be configured using its name as the configuration pid.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`pid`
If the component pid is different from the provided `value()`, set this attribute appropriately.

## Element Details

### value

Class<?> value
The component class to be configured using its name as the configuration pid.

Returns:
  the component class

### pid

String pid
If the component pid is different from the provided `value()`, set this attribute appropriately.

Returns:
  the configuration pid if not the same as the component name

Default:
  `"$"`